import { GeometryFactory } from './GeometryFactory';
import { StreamedMeshGeometry } from './StreamedMeshGeometry';
export declare class StreamedGeometryFactory extends GeometryFactory {
    createMeshGeometry(vertexArray: Float32Array, indexArray: Uint16Array, color: number, opacity: number, drawType: number): StreamedMeshGeometry;
    createMeshGeometryPrefetching(vertexArray: Float32Array, indexArray: Uint16Array, color: number, opacity: number, drawType: number): StreamedMeshGeometry;
    createCylinderGeometry(vertexArray: Float32Array, indexArray: Uint16Array, color: number, opacity: number, drawType: number): StreamedMeshGeometry;
    protected newVertexBufferStream(size: number): WebGLBuffer;
    protected newIndexBufferStream(size: number): WebGLBuffer;
}
